package com.sifang.modules.customer.entity;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

@Entity
@Table(name = "crm_customer_entry_survey_record_stock")
public class CrmCustomerEntrySurveyRecordStock {
    @Id
    private String entryId; // 电站id
    private String traderId; // 经销商id
    private String repaymentMethod; // 租金划转方式
    private String roofType; // 房屋类型
    private String sealRoof; // 是否封屋顶
    private String completionYear; // 房屋建成年份
    private String azimuth; // 房屋朝向
    private String angle; // 角度
    private BigDecimal buildingHeight; // 建筑高度/屋顶高度
    private BigDecimal slopeGradient; // 屋面坡度
    private BigDecimal purlineInterval; // 檩条间距
    private String waterproof; // 屋顶防水情况
    private String sourcePollution; // 是否有污染源
    private String opsCondition; // 是否具备运维空间
    private BigDecimal distance; // 配电箱至并网点距离
    private BigDecimal dipAngle; // 组件倾角
    private String flyImgs; // 无人机航拍图
    private String roofPhotoOne; // 安装区域整体照片/房屋屋顶照片
    private String roofPhotoTwo; // 安装区域东南角照片/房屋屋顶东侧图片
    private String roofPhotoThree; // 安装区域西南角照片/房屋屋顶西侧图片
    private String roofPhotoFour; // 安装区域正南照片/房屋屋顶南侧图片
    private String roofPhotoFive; // 安装区域细节照片
    private String detailSupplementOne; // 逆变器、配电箱预安装位置照片
    private String houseOwnership; // 房产证明
    private String roofPhotoFacade; // 房屋内部结构照片
    private String roofPhotoInterior; // 房屋内部环境照片
    private String houseSupplementOne; // 房屋其他障碍物照片
    private String filingDocumentPhoto; // 备案文件
    private String filingDocumentCode; // 项目备案代码
    private String filingDocumentPhoto2; // 备案文件2
    private String filingDocumentPhoto3; // 备案文件3
    private BigDecimal voltageClasses; // 并网电压等级
    private BigDecimal transformerCapacity; // 变压器容量
    private String restrictFlag; // 是否符合变压器容量限制要求
    private Date createTime; // 创建时间
    private String surveyVideo; // 踏勘补充证明视频文件url
    private String surveyFiles; // 踏勘记录表文件地址
    private BigDecimal roofArea; // 屋顶面积
    private BigDecimal ewLength; // 东西长
    private BigDecimal nsWide; // 南北宽
    private String vrRoofOne; // 房屋整体图（VR全景）
    private String vrRoofTwo; // 房屋整体俯视图（VR）
    private String vrRoofThree; // 房屋内部结构图（VR）
    private String vrRoofFour; // 入户全景照片(VR)
    private String pdfFile; // PDF文件

    public String getEntryId() {
        return entryId;
    }

    public void setEntryId(String entryId) {
        this.entryId = entryId;
    }

    public String getTraderId() {
        return traderId;
    }

    public void setTraderId(String traderId) {
        this.traderId = traderId;
    }

    public String getRepaymentMethod() {
        return repaymentMethod;
    }

    public void setRepaymentMethod(String repaymentMethod) {
        this.repaymentMethod = repaymentMethod;
    }

    public String getRoofType() {
        return roofType;
    }

    public void setRoofType(String roofType) {
        this.roofType = roofType;
    }

    public String getSealRoof() {
        return sealRoof;
    }

    public void setSealRoof(String sealRoof) {
        this.sealRoof = sealRoof;
    }

    public String getCompletionYear() {
        return completionYear;
    }

    public void setCompletionYear(String completionYear) {
        this.completionYear = completionYear;
    }

    public String getAzimuth() {
        return azimuth;
    }

    public void setAzimuth(String azimuth) {
        this.azimuth = azimuth;
    }

    public String getAngle() {
        return angle;
    }

    public void setAngle(String angle) {
        this.angle = angle;
    }

    public BigDecimal getBuildingHeight() {
        return buildingHeight;
    }

    public void setBuildingHeight(BigDecimal buildingHeight) {
        this.buildingHeight = buildingHeight;
    }

    public BigDecimal getSlopeGradient() {
        return slopeGradient;
    }

    public void setSlopeGradient(BigDecimal slopeGradient) {
        this.slopeGradient = slopeGradient;
    }

    public BigDecimal getPurlineInterval() {
        return purlineInterval;
    }

    public void setPurlineInterval(BigDecimal purlineInterval) {
        this.purlineInterval = purlineInterval;
    }

    public String getWaterproof() {
        return waterproof;
    }

    public void setWaterproof(String waterproof) {
        this.waterproof = waterproof;
    }

    public String getSourcePollution() {
        return sourcePollution;
    }

    public void setSourcePollution(String sourcePollution) {
        this.sourcePollution = sourcePollution;
    }

    public String getOpsCondition() {
        return opsCondition;
    }

    public void setOpsCondition(String opsCondition) {
        this.opsCondition = opsCondition;
    }

    public BigDecimal getDistance() {
        return distance;
    }

    public void setDistance(BigDecimal distance) {
        this.distance = distance;
    }

    public BigDecimal getDipAngle() {
        return dipAngle;
    }

    public void setDipAngle(BigDecimal dipAngle) {
        this.dipAngle = dipAngle;
    }

    public String getFlyImgs() {
        return flyImgs;
    }

    public void setFlyImgs(String flyImgs) {
        this.flyImgs = flyImgs;
    }

    public String getRoofPhotoOne() {
        return roofPhotoOne;
    }

    public void setRoofPhotoOne(String roofPhotoOne) {
        this.roofPhotoOne = roofPhotoOne;
    }

    public String getRoofPhotoTwo() {
        return roofPhotoTwo;
    }

    public void setRoofPhotoTwo(String roofPhotoTwo) {
        this.roofPhotoTwo = roofPhotoTwo;
    }

    public String getRoofPhotoThree() {
        return roofPhotoThree;
    }

    public void setRoofPhotoThree(String roofPhotoThree) {
        this.roofPhotoThree = roofPhotoThree;
    }

    public String getRoofPhotoFour() {
        return roofPhotoFour;
    }

    public void setRoofPhotoFour(String roofPhotoFour) {
        this.roofPhotoFour = roofPhotoFour;
    }

    public String getRoofPhotoFive() {
        return roofPhotoFive;
    }

    public void setRoofPhotoFive(String roofPhotoFive) {
        this.roofPhotoFive = roofPhotoFive;
    }

    public String getDetailSupplementOne() {
        return detailSupplementOne;
    }

    public void setDetailSupplementOne(String detailSupplementOne) {
        this.detailSupplementOne = detailSupplementOne;
    }

    public String getHouseOwnership() {
        return houseOwnership;
    }

    public void setHouseOwnership(String houseOwnership) {
        this.houseOwnership = houseOwnership;
    }

    public String getRoofPhotoFacade() {
        return roofPhotoFacade;
    }

    public void setRoofPhotoFacade(String roofPhotoFacade) {
        this.roofPhotoFacade = roofPhotoFacade;
    }

    public String getRoofPhotoInterior() {
        return roofPhotoInterior;
    }

    public void setRoofPhotoInterior(String roofPhotoInterior) {
        this.roofPhotoInterior = roofPhotoInterior;
    }

    public String getHouseSupplementOne() {
        return houseSupplementOne;
    }

    public void setHouseSupplementOne(String houseSupplementOne) {
        this.houseSupplementOne = houseSupplementOne;
    }

    public String getFilingDocumentPhoto() {
        return filingDocumentPhoto;
    }

    public void setFilingDocumentPhoto(String filingDocumentPhoto) {
        this.filingDocumentPhoto = filingDocumentPhoto;
    }

    public String getFilingDocumentCode() {
        return filingDocumentCode;
    }

    public void setFilingDocumentCode(String filingDocumentCode) {
        this.filingDocumentCode = filingDocumentCode;
    }

    public String getFilingDocumentPhoto2() {
        return filingDocumentPhoto2;
    }

    public void setFilingDocumentPhoto2(String filingDocumentPhoto2) {
        this.filingDocumentPhoto2 = filingDocumentPhoto2;
    }

    public String getFilingDocumentPhoto3() {
        return filingDocumentPhoto3;
    }

    public void setFilingDocumentPhoto3(String filingDocumentPhoto3) {
        this.filingDocumentPhoto3 = filingDocumentPhoto3;
    }

    public BigDecimal getVoltageClasses() {
        return voltageClasses;
    }

    public void setVoltageClasses(BigDecimal voltageClasses) {
        this.voltageClasses = voltageClasses;
    }

    public BigDecimal getTransformerCapacity() {
        return transformerCapacity;
    }

    public void setTransformerCapacity(BigDecimal transformerCapacity) {
        this.transformerCapacity = transformerCapacity;
    }

    public String getRestrictFlag() {
        return restrictFlag;
    }

    public void setRestrictFlag(String restrictFlag) {
        this.restrictFlag = restrictFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getSurveyVideo() {
        return surveyVideo;
    }

    public void setSurveyVideo(String surveyVideo) {
        this.surveyVideo = surveyVideo;
    }

    public String getSurveyFiles() {
        return surveyFiles;
    }

    public void setSurveyFiles(String surveyFiles) {
        this.surveyFiles = surveyFiles;
    }

    public BigDecimal getRoofArea() {
        return roofArea;
    }

    public void setRoofArea(BigDecimal roofArea) {
        this.roofArea = roofArea;
    }

    public BigDecimal getEwLength() {
        return ewLength;
    }

    public void setEwLength(BigDecimal ewLength) {
        this.ewLength = ewLength;
    }

    public BigDecimal getNsWide() {
        return nsWide;
    }

    public void setNsWide(BigDecimal nsWide) {
        this.nsWide = nsWide;
    }

    public String getVrRoofOne() {
        return vrRoofOne;
    }

    public void setVrRoofOne(String vrRoofOne) {
        this.vrRoofOne = vrRoofOne;
    }

    public String getVrRoofTwo() {
        return vrRoofTwo;
    }

    public void setVrRoofTwo(String vrRoofTwo) {
        this.vrRoofTwo = vrRoofTwo;
    }

    public String getVrRoofThree() {
        return vrRoofThree;
    }

    public void setVrRoofThree(String vrRoofThree) {
        this.vrRoofThree = vrRoofThree;
    }

    public String getVrRoofFour() {
        return vrRoofFour;
    }

    public void setVrRoofFour(String vrRoofFour) {
        this.vrRoofFour = vrRoofFour;
    }

    public String getPdfFile() {
        return pdfFile;
    }

    public void setPdfFile(String pdfFile) {
        this.pdfFile = pdfFile;
    }
}
